Bug 867568 - [abrt] SIGSEGV running /usr/bin/zim within gtktreeview.c: validate_visible_area "gint height = ROW_HEIGHT (tree_view, GTK_RBNODE_GET_HEIGHT (node));"
[abrt] SIGSEGV running /usr/bin/zim within gtktreeview.c: validate_visible_ar...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:341033d2ab4d04ce0cdf0c3de7e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 14:36 EDT by Norman R. Weathers
Modified: 2013-08-01 00:26 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:26:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (7.57 KB, text/plain)
2012-10-17 14:36 EDT, Norman R. Weathers
no flags Details
File: environ (2.54 KB, text/plain)
2012-10-17 14:36 EDT, Norman R. Weathers
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-17 14:36 EDT, Norman R. Weathers
no flags Details
File: backtrace (101.42 KB, text/plain)
2012-10-17 14:36 EDT, Norman R. Weathers
no flags Details
File: cgroup (130 bytes, text/plain)
2012-10-17 14:36 EDT, Norman R. Weathers
no flags Details
File: maps (55.55 KB, text/plain)
2012-10-17 14:36 EDT, Norman R. Weathers
no flags Details
File: dso_list (10.30 KB, text/plain)
2012-10-17 14:36 EDT, Norman R. Weathers
no flags Details
File: var_log_messages (150 bytes, text/plain)
2012-10-17 14:36 EDT, Norman R. Weathers
no flags Details
File: open_fds (925 bytes, text/plain)
2012-10-17 14:36 EDT, Norman R. Weathers
no flags Details

  None (edit)
Description Norman R. Weathers 2012-10-17 14:36:35 EDT
Description of problem:
Editting a notebook item, I was switching back to the Home page of the notebook and it crashed.

Version-Release number of selected component:
python-2.7.3-7.2.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/zim
crash_function: validate_visible_area
kernel:         3.5.6-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 validate_visible_area at gtktreeview.c:5899
: #1 do_presize_handler at gtktreeview.c:6429
: #2 presize_handler_callback at gtktreeview.c:6451
: #8 gtk_main at gtkmain.c:1257
: #9 _wrap_gtk_main at ./gtk.override:1240
: #10 call_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4082
: #11 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:2740
: #12 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:3330
: #13 fast_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4194
: #14 call_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4119
Comment 1 Norman R. Weathers 2012-10-17 14:36:38 EDT
Created attachment 628989 [details]
File: core_backtrace
Comment 2 Norman R. Weathers 2012-10-17 14:36:40 EDT
Created attachment 628990 [details]
File: environ
Comment 3 Norman R. Weathers 2012-10-17 14:36:41 EDT
Created attachment 628991 [details]
File: limits
Comment 4 Norman R. Weathers 2012-10-17 14:36:43 EDT
Created attachment 628992 [details]
File: backtrace
Comment 5 Norman R. Weathers 2012-10-17 14:36:45 EDT
Created attachment 628993 [details]
File: cgroup
Comment 6 Norman R. Weathers 2012-10-17 14:36:47 EDT
Created attachment 628994 [details]
File: maps
Comment 7 Norman R. Weathers 2012-10-17 14:36:48 EDT
Created attachment 628995 [details]
File: dso_list
Comment 8 Norman R. Weathers 2012-10-17 14:36:50 EDT
Created attachment 628996 [details]
File: var_log_messages
Comment 9 Norman R. Weathers 2012-10-17 14:36:51 EDT
Created attachment 628997 [details]
File: open_fds
Comment 10 Dave Malcolm 2012-10-17 15:17:21 EDT
Thanks for filing this bug report.

What is the output of:

  rpm -q gtk2 gtk2-engines pygtk2 pygobject2 Zim

Looking at attachment 628992 [details] I see that a segmentation fault happened deep within GTK whilst running /usr/bin/zim ; specifically within:

#0  validate_visible_area (tree_view=tree_view@entry=0x24ee180) at gtktreeview.c:5899
5899		      gint height = ROW_HEIGHT (tree_view, GTK_RBNODE_GET_HEIGHT (node));

with a NULL value for node.

Reassigning to "Zim"
Comment 11 Norman R. Weathers 2012-10-17 15:27:28 EDT
Dave,

The following is the requested output:

gtk2-2.24.11-1.fc17.x86_64
gtk2-engines-2.20.2-4.fc17.x86_64
pygtk2-2.24.0-4.fc17.x86_64
pygobject2-2.28.6-5.fc17.x86_64
Zim-0.56-3.fc17.noarch

Thanks!

NRW
Comment 12 Dave Malcolm 2012-10-17 15:44:44 EDT
Thanks for the information.

[FWIW I'm not expert at the internals of gtktreeview (Python is my area); hopefully the Zim maintainer can either take this forward, or reassign e.g to "gtk2"]
Comment 13 Robin Lee 2013-04-29 04:28:04 EDT
reassign to 'gtk2'
Comment 14 Fedora End Of Life 2013-07-03 20:34:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-08-01 00:26:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.